#ifndef _APE_MTIMER_H_
#define _APE_MTIMER_H_

#include "typedef.h"

void ape_mtimer_int_init(uint16_t nTimerId);

void ape_mtimer_int_clear(uint16_t nTimerId);

void ape_mtimer_sync(int32_t nScsId);

void ape_mtimer_unsync(int32_t nScsId);

int32_t mtimer_sfn_para_init(int32_t nTmrId, int32_t nScsId);
void ape_slot_ctw_set(uint8_t nTmrId);
int32_t mtimer_ape_slot_callback(uint8_t nTmrId);

int32_t get_tx_nr_sfn(uint8_t scs);
int32_t get_tx_lte_sfn();
int32_t get_tx_nr_slot(uint8_t scs);
int32_t get_tx_lte_subframe();

int32_t get_rx_nr_sfn(uint8_t scs);
int32_t get_rx_lte_sfn();
int32_t get_rx_nr_slot(uint8_t scs);
int32_t get_rx_lte_subframe();

uint32_t get_tx_nr_slot_cycle();
uint32_t get_tx_lte_subframe_cycle();
uint32_t get_rx_nr_slot_cycle();
uint32_t get_rx_lte_subframe_cycle();

#endif

